# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: athena/event/topic.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from athena.api import topic_pb2 as athena_dot_api_dot_topic__pb2
from weclikd.common import follow_pb2 as weclikd_dot_common_dot_follow__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='athena/event/topic.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x18\x61thena/event/topic.proto\x12\x07weclikd\x1a\x16\x61thena/api/topic.proto\x1a\x1bweclikd/common/follow.proto\"1\n\x10\x43reateTopicEvent\x12\x1d\n\x05topic\x18\x01 \x01(\x0b\x32\x0e.weclikd.Topic\"/\n\x0e\x45\x64itTopicEvent\x12\x1d\n\x05topic\x18\x01 \x01(\x0b\x32\x0e.weclikd.Topic\"$\n\x10\x44\x65leteTopicEvent\x12\x10\n\x08topic_id\x18\x01 \x01(\x04\"b\n\x10\x46ollowTopicEvent\x12\x10\n\x08topic_id\x18\x01 \x01(\x04\x12)\n\x08settings\x18\x02 \x01(\x0b\x32\x17.weclikd.FollowSettings\x12\x11\n\tfollowers\x18\x03 \x01(\r\"9\n\x12UnfollowTopicEvent\x12\x10\n\x08topic_id\x18\x01 \x01(\x04\x12\x11\n\tfollowers\x18\x02 \x01(\rb\x06proto3'
  ,
  dependencies=[athena_dot_api_dot_topic__pb2.DESCRIPTOR,weclikd_dot_common_dot_follow__pb2.DESCRIPTOR,])




_CREATETOPICEVENT = _descriptor.Descriptor(
  name='CreateTopicEvent',
  full_name='weclikd.CreateTopicEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='topic', full_name='weclikd.CreateTopicEvent.topic', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=90,
  serialized_end=139,
)


_EDITTOPICEVENT = _descriptor.Descriptor(
  name='EditTopicEvent',
  full_name='weclikd.EditTopicEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='topic', full_name='weclikd.EditTopicEvent.topic', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=141,
  serialized_end=188,
)


_DELETETOPICEVENT = _descriptor.Descriptor(
  name='DeleteTopicEvent',
  full_name='weclikd.DeleteTopicEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='topic_id', full_name='weclikd.DeleteTopicEvent.topic_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=190,
  serialized_end=226,
)


_FOLLOWTOPICEVENT = _descriptor.Descriptor(
  name='FollowTopicEvent',
  full_name='weclikd.FollowTopicEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='topic_id', full_name='weclikd.FollowTopicEvent.topic_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='settings', full_name='weclikd.FollowTopicEvent.settings', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='followers', full_name='weclikd.FollowTopicEvent.followers', index=2,
      number=3, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=228,
  serialized_end=326,
)


_UNFOLLOWTOPICEVENT = _descriptor.Descriptor(
  name='UnfollowTopicEvent',
  full_name='weclikd.UnfollowTopicEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='topic_id', full_name='weclikd.UnfollowTopicEvent.topic_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='followers', full_name='weclikd.UnfollowTopicEvent.followers', index=1,
      number=2, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=328,
  serialized_end=385,
)

_CREATETOPICEVENT.fields_by_name['topic'].message_type = athena_dot_api_dot_topic__pb2._TOPIC
_EDITTOPICEVENT.fields_by_name['topic'].message_type = athena_dot_api_dot_topic__pb2._TOPIC
_FOLLOWTOPICEVENT.fields_by_name['settings'].message_type = weclikd_dot_common_dot_follow__pb2._FOLLOWSETTINGS
DESCRIPTOR.message_types_by_name['CreateTopicEvent'] = _CREATETOPICEVENT
DESCRIPTOR.message_types_by_name['EditTopicEvent'] = _EDITTOPICEVENT
DESCRIPTOR.message_types_by_name['DeleteTopicEvent'] = _DELETETOPICEVENT
DESCRIPTOR.message_types_by_name['FollowTopicEvent'] = _FOLLOWTOPICEVENT
DESCRIPTOR.message_types_by_name['UnfollowTopicEvent'] = _UNFOLLOWTOPICEVENT
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

CreateTopicEvent = _reflection.GeneratedProtocolMessageType('CreateTopicEvent', (_message.Message,), {
  'DESCRIPTOR' : _CREATETOPICEVENT,
  '__module__' : 'athena.event.topic_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CreateTopicEvent)
  })
_sym_db.RegisterMessage(CreateTopicEvent)

EditTopicEvent = _reflection.GeneratedProtocolMessageType('EditTopicEvent', (_message.Message,), {
  'DESCRIPTOR' : _EDITTOPICEVENT,
  '__module__' : 'athena.event.topic_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.EditTopicEvent)
  })
_sym_db.RegisterMessage(EditTopicEvent)

DeleteTopicEvent = _reflection.GeneratedProtocolMessageType('DeleteTopicEvent', (_message.Message,), {
  'DESCRIPTOR' : _DELETETOPICEVENT,
  '__module__' : 'athena.event.topic_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.DeleteTopicEvent)
  })
_sym_db.RegisterMessage(DeleteTopicEvent)

FollowTopicEvent = _reflection.GeneratedProtocolMessageType('FollowTopicEvent', (_message.Message,), {
  'DESCRIPTOR' : _FOLLOWTOPICEVENT,
  '__module__' : 'athena.event.topic_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.FollowTopicEvent)
  })
_sym_db.RegisterMessage(FollowTopicEvent)

UnfollowTopicEvent = _reflection.GeneratedProtocolMessageType('UnfollowTopicEvent', (_message.Message,), {
  'DESCRIPTOR' : _UNFOLLOWTOPICEVENT,
  '__module__' : 'athena.event.topic_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.UnfollowTopicEvent)
  })
_sym_db.RegisterMessage(UnfollowTopicEvent)


# @@protoc_insertion_point(module_scope)
